Package org.eclipse.cdt.core.parser

# Class CodeReader

java.lang.Object
org.eclipse.cdt.core.parser.CodeReader

@Deprecated public class CodeReader extends Object
Deprecated.
replaced by `FileContent`
Reads the content of a file into a char[] buffer.

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`final char[]`
`buffer`
Deprecated.
`final char[]`
`filename`
Deprecated.
`static final String`
`SYSTEM_DEFAULT_ENCODING`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`CodeReader(char[] buffer)`
Deprecated.
`CodeReader(String filename)`
Deprecated.
`CodeReader(String filename, char[] buffer)`
Deprecated.
`CodeReader(String filename, InputStream stream)`
Deprecated.
`CodeReader(String filename, String charSet)`
Deprecated.
`CodeReader(String fileName, String charSet, InputStream stream)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
Deprecated.
`boolean`
`isFile()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SYSTEM_DEFAULT_ENCODING

public static final String SYSTEM_DEFAULT_ENCODING
Deprecated.

### buffer

public final char[] buffer
Deprecated.

### filename

public final char[] filename
Deprecated.

## Constructor Details

### CodeReader

public CodeReader(String filename, char[] buffer)
Deprecated.

### CodeReader

public CodeReader(char[] buffer)
Deprecated.

### CodeReader

public CodeReader(String filename) throws IOException
Deprecated.

Throws:
  `IOException`

### CodeReader

public CodeReader(String filename, String charSet) throws IOException
Deprecated.

Throws:
  `IOException`

### CodeReader

public CodeReader(String filename, InputStream stream) throws IOException
Deprecated.

Throws:
  `IOException`

### CodeReader

public CodeReader(String fileName, String charSet, InputStream stream) throws IOException
Deprecated.

Throws:
  `IOException`

## Method Details

### isFile

public boolean isFile()
Deprecated.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### getPath

public String getPath()
Deprecated.